{% extends '@DemosPlanCore/DemosPlanCore/procedure.html.twig' %}

{% block component_part %}
    {% set submitTypeOptions = [] %}

    {% for value, label in getFormOption('statement_submit_types.values', true) %}
        {% set submitTypeOptions = submitTypeOptions|merge([{ label: label, value: value }]) %}
    {% endfor %}

    {% set addonProps = {
        'procedureId': procedure,
        'statementId': statementId,
        'statementExternId': statementExternId,
        'procedureName': procedureName,
        'title': title
        }
    %}
    <addon-wrapper
        hook-name="split.statements"
        :addon-props="JSON.parse('{{ addonProps|json_encode|e('js', 'utf-8') }}')">
    </addon-wrapper>
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ webpackBundles(['procedure-administrationSplitStatement.js']) }}
{% endblock javascripts %}
